const system = require("../../../system");
var settings = require("../../../../config/settings");
const AppServiceBase = require("../../app.base");

class IcbcService extends AppServiceBase {
  constructor() {
    super();
    this.zcApiUrl = settings.reqZcApi();
  }
  //企业模糊查询
  async getCompanyListByVague(obj, req) {
    var url = this.zcApiUrl + "api/tool/toolApi/getCompanyListByVague";
    return await this.opReqResult(url, obj, req);
  }
  //企业详情
  async getDetailByCompanyName(queryobj, req) {
    var url = this.zcApiUrl + "api/tool/toolApi/getDetailByCompanyName";
    return await this.opReqResult(url, queryobj, req);
  }
  //企业变更记录查询
  async getCompanyChangeByName(queryobj, req) {
    var url = this.zcApiUrl + "api/tool/toolApi/getCompanyChangeByName";
    return await this.opReqResult(url, queryobj, req);
  }
  //工商icp证照查询
  async getCompanyIcpByName(queryobj, req) {
    var url = this.zcApiUrl + "api/tool/toolApi/getCompanyIcpByName";
    return await this.opReqResult(url, queryobj, req);
  }

  async opReqResult(reqUrl, queryobj, req) {
    var rtn = await this.execClient.execPushDataPost(queryobj, reqUrl, req.headers["token"], req.headers["request-id"]);
    var data = JSON.parse(rtn.stdout);
    return data;
  }
}
module.exports = IcbcService;

